## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
# * tests require a running DBus session
%bcond_with check
%global debug_package %{nil}

%global crate secret-service

Name:           rust-secret-service
Version:        3.0.1
Release:        %autorelease
Summary:        Library to interface with Secret Service API

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/secret-service
Source:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Library to interface with Secret Service API.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/NOTES_ON_PORT.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+crypto-openssl-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+crypto-openssl-devel %{_description}

This package contains library source intended for building other packages which
use the "crypto-openssl" feature of the "%{crate}" crate.

%files       -n %{name}+crypto-openssl-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+crypto-rust-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+crypto-rust-devel %{_description}

This package contains library source intended for building other packages which
use the "crypto-rust" feature of the "%{crate}" crate.

%files       -n %{name}+crypto-rust-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rt-async-io-crypto-openssl-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rt-async-io-crypto-openssl-devel %{_description}

This package contains library source intended for building other packages which
use the "rt-async-io-crypto-openssl" feature of the "%{crate}" crate.

%files       -n %{name}+rt-async-io-crypto-openssl-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rt-async-io-crypto-rust-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rt-async-io-crypto-rust-devel %{_description}

This package contains library source intended for building other packages which
use the "rt-async-io-crypto-rust" feature of the "%{crate}" crate.

%files       -n %{name}+rt-async-io-crypto-rust-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rt-tokio-crypto-openssl-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rt-tokio-crypto-openssl-devel %{_description}

This package contains library source intended for building other packages which
use the "rt-tokio-crypto-openssl" feature of the "%{crate}" crate.

%files       -n %{name}+rt-tokio-crypto-openssl-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rt-tokio-crypto-rust-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rt-tokio-crypto-rust-devel %{_description}

This package contains library source intended for building other packages which
use the "rt-tokio-crypto-rust" feature of the "%{crate}" crate.

%files       -n %{name}+rt-tokio-crypto-rust-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires -f rt-tokio-crypto-rust

%build
%cargo_build -f rt-tokio-crypto-rust

%install
%cargo_install -f rt-tokio-crypto-rust

%if %{with check}
%check
%cargo_test -f rt-tokio-crypto-rust
%endif

%changelog
* Thu Nov 16 2023 Fabio Valentini <decathorpe@gmail.com> - 3.0.1-1
- Update to version 3.0.1; Fixes RHBZ#2165457

* Mon Aug 07 2023 Fabio Valentini <decathorpe@gmail.com> - 2.0.2-5
- Regenerate with rust2rpm v24

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jul 14 2022 Fabio Valentini <decathorpe@gmail.com> - 2.0.2-1
- Update to version 2.0.2; Fixes RHBZ#2101956

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Aug 27 2021 Fabio Valentini <decathorpe@gmail.com> - 2.0.1-3
- Bump RustCrypto dependencies.

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Mar 08 2021 Fabio Valentini <decathorpe@gmail.com> - 2.0.1-1
- Update to version 2.0.1.

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Dec 12 2020 Fabio Valentini <decathorpe@gmail.com> - 1.1.2-1
- Update to version 1.1.2.
- Fixes RHBZ#1907060

* Sat Nov 14 2020 Fabio Valentini <decathorpe@gmail.com> - 1.1.1-2
- Bump RustCrypto dependencies.

* Thu Nov 12 2020 Fabio Valentini <decathorpe@gmail.com> - 1.1.1-1
- Update to version 1.1.1.
- Fixes RHBZ#1891268

* Mon Aug 24 2020 Fabio Valentini <decathorpe@gmail.com> - 1.1.0-5
- Bump dependencies in Cargo.toml to fix FTBFS issue.

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-4
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jul 09 2020 Josh Stone <jistone@redhat.com> - 1.1.0-2
- Bump num to 0.3

* Thu Mar 05 2020 Josh Stone <jistone@redhat.com> - 1.1.0-1
- Update to 1.1.0

* Wed Mar 04 2020 Josh Stone <jistone@redhat.com> - 1.0.0-4
- Bump hkdf to 0.8

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun May 05 15:05:14 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.0-1
- Initial package

